Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001479Anope Development (1.9.x series)Chanservpublic2013-02-15 11:012013-02-17 22:19
ReporterCuttingEdge 
Assigned ToAdam 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSUbuntu LinuxOS Version12.10
Product Version 
Target VersionFixed in Version 
Summary0001479: Reboot of Issue 0001477
DescriptionServices reverts ChanServ access list after shutdown, even prior to running an /operserv update.
Steps To ReproduceDelete a user from channel access list.
Shutdown services via /operserv shutdown.
Start services.
View access list - the deleted user is back on the access list.
Additional InformationUsing latest Anope 1.9.x GIT.
Using flatfile database without encryption.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006381)
Adam (administrator)
2013-02-17 22:19

This was fixed recently as cirinho said... going to close as resolved and assume you weren't really on the latest git head. Reopen if you can still reproduce on git HEAD.
(0006380)
cirinho (reporter)
2013-02-17 19:06

This issue has been solved
25cec015e8276ea6e1de3e290696071fa5c0b66f
(0006367)
Adam (administrator)
2013-02-16 02:08

I'm not able to reproduce this.
(0006365)
CuttingEdge (reporter)
2013-02-15 13:12

In ~/services/conf/services.conf within the 'options' block:
user = "atrum"
group = "atrum"

~/services/data$ ps auwx | grep 'services'
atrum 23973 0.0 1.6 389296 33212 ? S 04:45 0:16 /home/atrum/services/bin/services
atrum 25819 0.0 0.0 9388 888 pts/0 R+ 11:10 0:00 grep --color=auto services

~/services/data$ ls -la
total 5700
drwxrwxr-x 5 atrum atrum 4096 Feb 15 11:09 .
drwxrwxr-x 8 atrum atrum 4096 Feb 14 11:08 ..
-rw------- 1 atrum atrum 5812855 Feb 15 11:09 anope.db
drwxrwxr-x 2 atrum atrum 4096 Feb 15 04:50 backups
drwxrwxr-x 3 atrum atrum 4096 Feb 14 11:08 modules
drwxrwxr-x 2 atrum atrum 4096 Feb 15 05:05 runtime

Using 'atrum' throughout.
(0006364)
jobe (developer)
2013-02-15 12:44

Well for this issue I'm going to ask:

1) what user are you running Anope as?
2) what does ls -la in Anope's data dir show?

- Issue History
Date Modified Username Field Change
2013-02-15 11:01 CuttingEdge New Issue
2013-02-15 12:44 jobe Note Added: 0006364
2013-02-15 13:12 CuttingEdge Note Added: 0006365
2013-02-16 02:08 Adam Note Added: 0006367
2013-02-17 19:06 cirinho Note Added: 0006380
2013-02-17 22:19 Adam Note Added: 0006381
2013-02-17 22:19 Adam Status new => resolved
2013-02-17 22:19 Adam Resolution open => fixed
2013-02-17 22:19 Adam Assigned To => Adam


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker